# Class JarFactory

java.lang.Object
org.apache.tomcat.util.scan.JarFactory

public class JarFactory extends Object
Provide a mechanism to obtain objects that implement `Jar`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static URL`
  `getJarEntryURL(URL baseUrl, String entryName)`
  `static Jar`
  `newInstance(URL url)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### newInstance

    public static Jar newInstance(URL url) throws IOException
    Throws:
      `IOException`

  - ### getJarEntryURL

    public static URL getJarEntryURL(URL baseUrl, String entryName) throws IOException
    Throws:
      `IOException`